dpdma: xdpdma_video_example.c File Reference

| dpdma Xilinx SDK Drivers API Documentation

- Overview
- APIs
- File List

Functions
xdpdma_video_example.c File Reference

## Overview

This file contains a design example using the DPDMA driver (XDpDma) This example demonstrates the use of DPDMA for displaying a Graphics Overlay.

Note

None.

     MODIFICATION HISTORY:

     Ver   Who Date     Changes

     1.0    aad 10/19/17    Initial Release
     1.1   aad 02/22/18    Fixed the header

## Functions
int | main ()
| Main function to call the DPDMA Video example. More...
int | DpdmaVideoExample (Run_Config *RunCfgPtr)
| The purpose of this function is to illustrate how to use the XDpDma device driver in Graphics overlay mode. More...
void | InitRunConfig (Run_Config *RunCfgPtr)
| The purpose of this function is to initialize the application configuration. More...
int | InitDpDmaSubsystem (Run_Config *RunCfgPtr)
| The purpose of this function is to initialize the DP Subsystem (XDpDma, XAVBuf, XDpPsu) More...
void | SetupInterrupts (Run_Config *RunCfgPtr)
| The purpose of this function is to setup call back functions for the DP controller interrupts. More...
u8 * | GraphicsOverlay (u8 *Frame, Run_Config *RunCfgPtr)
| The purpose of this function is to generate a Graphics frame of the format RGBA8888 which generates an overlay on 1/2 of the bottom of the screen. More...

## Function Documentation

int DpdmaVideoExample | ( | Run_Config * | RunCfgPtr | ) |

The purpose of this function is to illustrate how to use the XDpDma device driver in Graphics overlay mode.

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.

Returns
  XST_SUCCESS if successful, else XST_FAILURE.

Note
  None.

References GraphicsOverlay(), InitDpDmaSubsystem(), InitRunConfig(), and SetupInterrupts().

Referenced by main().

u8* GraphicsOverlay | ( | u8 * | Frame,
|  | Run_Config * | RunCfgPtr
| ) |  |

The purpose of this function is to generate a Graphics frame of the format RGBA8888 which generates an overlay on 1/2 of the bottom of the screen.

This is just to illustrate the functionality of the graphics overlay.

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.
  Frame | is a pointer to a buffer which is going to be populated with rendered frame

Returns
  Returns a pointer to the frame.

Note
  None.

Referenced by DpdmaVideoExample().

int InitDpDmaSubsystem | ( | Run_Config * | RunCfgPtr | ) |

The purpose of this function is to initialize the DP Subsystem (XDpDma, XAVBuf, XDpPsu)

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.

Returns
  None.

Note
  None.

References XDpDma_CfgInitialize(), XDpDma_LookupConfig(), XDpDma_SetGraphicsFormat(), and XDpDma_SetQOS().

Referenced by DpdmaVideoExample(), and DpPsu_Run().

void InitRunConfig | ( | Run_Config * | RunCfgPtr | ) |

The purpose of this function is to initialize the application configuration.

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.

Returns
  None.

Note
  None.

Referenced by DpdmaVideoExample().

int main | ( |  | ) |

Main function to call the DPDMA Video example.

Parameters

  None |

Returns
  XST_SUCCESS if successful, otherwise XST_FAILURE.

Note
  None

References DpdmaVideoExample().

void SetupInterrupts | ( | Run_Config * | RunCfgPtr | ) |

The purpose of this function is to setup call back functions for the DP controller interrupts.

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.

Returns
  None.

Note
  None.

References DpPsu_IsrHpdEvent(), DpPsu_IsrHpdPulse(), XDpDma_InterruptEnable(), and XDpDma_InterruptHandler().

Referenced by DpdmaVideoExample().